Update remote system login credentialsAsk AIput https://{sandfly-api-host}/v4/credentials/{credentials_id}Updates the sshkey/sshkey password or username/password to an encrypted remote host credential record.Path Paramscredentials_idstringrequiredcredentials_id to update.Body ParamsCredentials json blob.credentials_typestringenumrequiredSupported Credential Types.ssh_keyusernameexternalssh_generate_ed25519ssh_generate_rsa4096ssh_generate_rsa8192Allowed:ssh_keyusernameexternalssh_generate_ed25519ssh_generate_rsa4096ssh_generate_rsa8192external_ca_cert_b64stringIf an external credential type, base64-encoded trusted root CA certificate for the credential provider service, if necessary.external_extra_datastringIf an external credential type, extra data to provide to the credential provider service.external_unique_per_hostbooleanIf an external credential type, does the provider provide a unique credential per target host?truefalseexternal_urlstringIf an external credential type, the URL of the credential provider service.passwordstringThis is the password we can use to login if using username credentials or needed for sudo.ssh_key_b64stringThe ssh_key we can use to login that is base 64 encoded.ssh_key_certificate_b64stringThe ssh_key_certificate if using SSH CA signed credentials.ssh_key_passwordstringThis is the password used to decrypt the ssh_key if we have one.usernamestringThis is the username we can use to login.ima_signing_key_b64stringBase64-encoded PKCS#1, PKCS#8, or encrypted PKCS#8 PEM-format RSA private key. If present on a credential, when the credential is used to connect to a host, Sandfly will add an IMA signature to the scanning binary on the target host using this private key.ima_signing_key_passwordstringIf ima_signing_key_b64 contains an encrypted PKCS#8 private key, this password will be used to decrypt it. Do not set this property if ima_signing_key_b64 is empty.Responses 201Remote credentials updated, encrypted, and inserted. 400Remote credentials already exist. Not overwritten. defaultUnexpected errorUpdated 3 months ago